Skip to content

Delete multiple annotations. The authenticated user must have the appropriate permissions to delete annotations. Learn more about permissions required to delete annotations and delete brought forward annotations in Vault Help.

DELETE/api/{version}/objects/documents/annotations/batch
NameDescription
Content-Typetext/csv or application/json
Acceptapplication/json (default), text/csv, or application/xml

Upload parameters as a JSON or CSV file. You can delete up to 500 annotations per batch.

NameDescription
id__sys
required
The ID of the annotation to delete.
document_version_id__sys
required
The ID and version number of the document where the annotation appears in the format {documentId}_{majorVersion}_{minorVersion}. For example, 138_2_1.
curl -X DELETE -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Documents\delete_annotations.csv" \ https://myvault.veevavault.com/api/v26.1/objects/documents/annotations/batch
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "document_version_id__sys": "1_0_1", "id__sys": "58", "global_version_id__sys": "119899_1_1" } ] }